Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
relationships
/
{relationshipType}
/
{id}
Get a relationship from the registry
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/relationships/{relationshipType}/{id} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "id": "<string>",
  "type": "<string>",
  "from": {
    "id": "<string>",
    "type": "<string>"
  },
  "to": {
    "id": "<string>",
    "type": "<string>"
  },
  "data": {},
  "meta": {
    "createdAt": "2023-11-07T05:31:56Z",
    "identifier": [
      {
        "id": "<string>",
        "system": "<string>",
        "value": "<string>",
        "use": "<string>",
        "period": {
          "id": "<string>",
          "start": "<string>",
          "end": "<string>"
        }
      }
    ],
    "source": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "includes": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

relationshipType
string
required

The key of the relationship definition.

id
string
required

The unique identifier of the relationship with the following formats:

  • v1RelationshipID format: {fromID}.{toID} (e.g. 123.456).
  • v1Identifier format: {system}:{value}:{use} (e.g. clinia:123:use).

Query Parameters

includes
string[]

List of resource types to includes with the response. Includes must be valid resource types for the given relationship definition.

Response

The relationship with the given id.

The included resources.

id
string
required

The unique identifier of the relationship. This is a key with the shape {fromID}.{toID}.

Pattern: ^[^.]+.[^.]+$
type
string
required
read-only
from
object
required
to
object
required
data
object
required
meta
object
includes
object